Subject: RE: Cygwin Python Distribution GPL Licensing Issue?
From: "David A. Cobb" <[email-masked]>
To: "Tim Peters" <[email-masked]>, "DJ Delorie" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Wed, 20 Jun 2001 16:11:40 -0400

So . . .
Does it build OOTB in Cygwin?  Presumably the Linux sources.  I looked at 
www.python.org and there's no mention of Cygwin as a platform.

At 6/16/01 04:01 PM (Saturday), Tim Peters wrote:
>Briefly following up on a thread here from the end of April:  the FSF and
>PSF (Python Software Foundation) reached an unexpected (but exceedingly
>welcome) agreement on the Python licensing situation wrt the GPL.  We'll be
>releasing new versions of Python primarily to get the new license out there,
>but also with accumulated bugfixes since their original releases:
>
>     2.0.1    2.0 + bugfixes + new license.  Release candidate already
>              available, and final release scheduled for the coming week.
>
>     2.1.1    2.1 + bugfixes + new license.  Partly depends on volunteer
>              time; range of 2 to 4 weeks is my best guess.
>
>all's-well-that-ends-ly y'rs  - tim
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]
>      On Behalf Of Guido van Rossum [mailto:[email-masked]]
>Sent: Saturday, June 16, 2001 11:46 AM
>To: [email-masked]
>Cc: [email-masked]
>Subject: 2.0.1's GPL-compatibility is official!
>
>
>Richard Stallman, Eben Moglen and the FSF agree: Python 2.0.1 is
>compatible with the GPL.  They've updated the text about the Python
>license on http://www.gnu.org/philosophy/license-list.html, stating in
>particular:
>
>     GPL-Compatible, Free Software Licenses
>
>     [...]
>
>     The License of Python 1.6a2 and earlier versions.
>           This is a free software license and is compatible with the
>           GNU GPL. Please note, however, that newer versions of Python
>           are under other licenses (see below).
>     The License of Python 2.0.1, 2.1.1, and newer versions.
>           This is a free software license and is compatible with the
>           GNU GPL. Please note, however, that intermediate versions of
>           Python (1.6b1, through 2.0 and 2.1) are under a different
>           license (see below).
>
>I would like to emphasize and clarify (again!) that Python is *not*
>released under the GPL, so if you think the GPL is a bad thing, you
>don't have to worry about Python being contaminated.
>
>The GPL compatibility is important for folks who distribute Python
>binaries: e.g. the new license makes it okay to release Python
>binaries linked with GNU readline and other GPL-covered libraries.
>
>We'll release the final release of 2.0.1 within a week; so far we've
>had only one bug reported in the release candidate.
>
>I expect that we won't have to wait long for 2.1.1, which will have
>the same GPL-compatible license as 2.0.1.
>
>--Guido van Rossum (home page: http://www.python.org/~guido/)
>
>--
>http://mail.python.org/mailman/listinfo/python-list
>
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

David A. Cobb, Software Engineer, Public Access Advocate, All around nice guy.
Get my PGP key at
:<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
Fingerprint=0x{6E3E_DB8C_2E8C_4248_62B2_FE29_08EE_CF0A_3629_E954}
"By God's Grace I am a Christian man, by my actions a great sinner."
--The Way of a Pilgrim, R. M. French [tr.]
<---.----!----.----!----.----!----.----!----.----!----.----!----.---->

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple